| Home | Libraries | People | FAQ | More

###### ssl_stream::set_verify_mode (2 of 2 overloads)

Set the peer verification mode.

###### Synopsis

    void
    set_verify_mode(
        net::ssl::verify_mode v,
        boost::system::error_code& ec);

###### Description

This function may be used to configure the peer verification mode used by the stream. The new mode will override the mode inherited from the context.

###### Parameters

Name | Description
--- | ---
`v` | A bitmask of peer verification modes. See `verify_mode` for available values.
`ec` | Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_set_verify`.